'use strict';

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _index = require('./index');

var _chai = require('chai');

var _mocha = require('mocha');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _mocha.describe)("maxima", function () {
  (0, _mocha.it)("1+1 = 2", function _callee() {
    var result;
    return _regenerator2.default.async(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _context.next = 2;
            return _regenerator2.default.awrap((0, _index.maxima)("1+1;"));

          case 2:
            result = _context.sent;

            (0, _chai.expect)(result).to.equal("2");

          case 4:
          case 'end':
            return _context.stop();
        }
      }
    }, null, undefined);
  });

  (0, _mocha.it)("works sync as well", function () {
    (0, _chai.expect)((0, _index.maximaSync)("1+1")).to.equal("2");
  });

  (0, _mocha.it)("solve(x^2 = 4)", function _callee2() {
    var result;
    return _regenerator2.default.async(function _callee2$(_context2) {
      while (1) {
        switch (_context2.prev = _context2.next) {
          case 0:
            _context2.next = 2;
            return _regenerator2.default.awrap((0, _index.maxima)("solve(x^2 = 4)"));

          case 2:
            result = _context2.sent;

            (0, _chai.expect)(result).to.equal("[x = -2,x = 2]");

          case 4:
          case 'end':
            return _context2.stop();
        }
      }
    }, null, undefined);
  });

  (0, _mocha.it)("diff(x^2,x)", function _callee3() {
    var result;
    return _regenerator2.default.async(function _callee3$(_context3) {
      while (1) {
        switch (_context3.prev = _context3.next) {
          case 0:
            _context3.next = 2;
            return _regenerator2.default.awrap((0, _index.maxima)("diff(x^2,x)"));

          case 2:
            result = _context3.sent;

            (0, _chai.expect)(result).to.equal("2*x");

          case 4:
          case 'end':
            return _context3.stop();
        }
      }
    }, null, undefined);
  });
});